package com.daqing.financial.config;

import org.apache.commons.codec.binary.Base64;

/**
 * @author cool
 * @version V1.0
 * @className Base64Encoder
 * @description Problem In Chair, Not In Computer.
 * @createDate 2018年07月09日
 */
public class Base64Encoder  {

    /**
     * @param bytes
     * @return
     */
    public static byte[] decode(final String bytes) {
        return Base64.decodeBase64(bytes);
    }

    /**
     * 二进制数据编码为BASE64字符串
     *
     * @param bytes
     * @return
     * @throws Exception
     */
    public static String encode(final byte[] bytes) {
        return new String(Base64.encodeBase64(bytes));
    }
}
