package com.daqing.financial.guarantee;

import com.daqing.framework.domain.crms.request.DgApplyAmountInfoRequest;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Author: gongsj.
 * @Description: 登录controllerApi定义
 * @Date:Created in 2020/09/07 11:33.
 * @Modified By:
 */
@Api(value = "申请贷款信息", tags = "提供申请贷款信息")
public interface DgApplyAmountInfoControllerApi {

    /**
     * 根据客户编号/客户名称获取企业信息
     */
    @ApiOperation(value = "根据客户编号/客户名称获取企业信息", notes = "根据客户编号/客户名称获取企业信息")
    ResponseResult companyInfoBySth(DgApplyAmountInfoRequest applyAmountInfo);

/*    @ApiOperation(value = "业务申请")
    ResponseResult businessApplication(BusinessApplicationRequest businessApplication);*/

/*    @ApiOperation(value = "上传文件")
    ResponseResult uploadFile(MultipartFile[] files)throws IOException;*/

    @ApiOperation(value = "删除服务器文件")
    boolean deleteServerFile(String filePath);

}
