package com.daqing.financial.hrauth;

import com.daqing.framework.domain.crms.request.CustomerRequest;
import com.daqing.framework.domain.hrms.request.LoginRequest;
import com.daqing.framework.domain.hrms.request.UserLoginLogRequest;
import com.daqing.framework.domain.hrms.request.UserLoginRequest;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: gongsj.
 * @Description: 登录controllerApi定义
 * @Date:Created in 2020/09/07 11:33.
 * @Modified By:
 */
@Api(value = "系统日志相关操作", tags = "提供系统日志相关操作")
public interface SystemLogControllerApi {

    @ApiOperation(value = "系统日志列表")
    ResponseResult list(Integer page, Integer size, UserLoginLogRequest userLoginLogRequest);

    @ApiOperation(value = "登录日志列表")
    ResponseResult loginLogList(Integer page, Integer size, UserLoginLogRequest userLoginLogRequest);
}
