package com.daqing.financial.crms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.crms.CrmsCustomerRelated;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户关联表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Mapper
public interface CrmsCustomerRelatedMapper extends BaseMapper<CrmsCustomerRelated> {

    boolean deleteByIds(@Param("ids") List<Long> ids);

    boolean insertCustomerRelated(@Param("relatedList")List<CrmsCustomerRelated> relatedList);
}
