package com.daqing.financial.crms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.crms.model.request.CompanyAppletRequest;
import com.daqing.financial.crms.model.request.PersonalAppletRequest;
import com.daqing.financial.crms.model.response.ApplicationRecordResponse;
import com.daqing.financial.crms.model.response.ApplyDetailResponse;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.daqing.framework.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * 客户小程序认证(数据录入)
 *
 * @auther River
 * @date 2021/1/27 15:51
 */
public interface CustomerAppletService extends IService<CustomerEntity> {

    Boolean savePersonal(PersonalAppletRequest personalAppletRequest);

    Boolean saveCompany(CompanyAppletRequest companyAppletRequest);

    Map getCustomerStatus();

    Object getCustomer(Integer type);

    Boolean updatePersonal(PersonalAppletRequest personalAppletRequest);

    Boolean updateCompany(CompanyAppletRequest companyAppletRequest);

    PageUtils getApplicationRecord(Integer page, Integer size, Integer type, Integer status);

    Map getApplyMount();

    ApplyDetailResponse getApplyDetail(Integer id);
}
