package com.daqing.financial.guarantee;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@EnableFeignClients({"com.daqing.framework.feign","com.daqing.financial.guarantee.feign"})
@EnableDiscoveryClient
@SpringBootApplication
@EnableScheduling
@EnableSwagger2
@ComponentScan(basePackages = "com.daqing")
//@Import({SecurityConfig.class})
public class DqFinancialGuaranteeApplication {

    public static void main(String[] args) {
        SpringApplication.run(DqFinancialGuaranteeApplication.class, args);
    }

}
