package com.daqing.financial.guarantee.controller;


import com.daqing.financial.guarantee.service.IDgBusinessProcessStatusService;
import com.daqing.framework.domain.guarantee.DgAuditProcess;
import com.daqing.framework.domain.guarantee.DgBusinessProcessStatus;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 业务流程状态表 前端控制器
 * </p>
 *
 * @author Qyq
 * @since 2020-11-25
 */
@RestController
@RequestMapping("/dg-business-process-status")
public class DgBusinessProcessStatusController {

    @Autowired
    private IDgBusinessProcessStatusService businessProcessStatusService;

    @ApiOperation(value = "添加业务流程状态")
    @PostMapping("/businessProcessStatus")
    public ResponseResult businessProcessStatus(
            @ApiParam(name = "businessId", value = "业务id", required = true)
            @RequestBody DgBusinessProcessStatus businessProcessStatus){
        boolean save = businessProcessStatusService.save(businessProcessStatus);
        return save ? ResponseResult.SUCCESS() : ResponseResult.FAIL();
    }

}
