package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.LegalVo;
import com.daqing.financial.guarantee.model.response.PersonLiableResp;
import com.daqing.framework.domain.guarantee.AlInsuranceList;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 保后管理列表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Mapper
public interface AlInsuranceListMapper extends BaseMapper<AlInsuranceList> {

    IPage<AlInsuranceList> pageByCondition(Page page, String customerNumberOrName,Integer paymentStatus);

    int selectBank(String bank);

    PersonLiableResp selectPersonLiable(String personLiable);

    LegalVo selectLegal(String customerName);
}
