package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.BusinessApplicationListResponse;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgApplyAmountList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-24
 */
@Mapper
public interface DgApplyAmountListMapper extends BaseMapper<DgApplyAmountList> {

    IPage<BusinessApplicationListResponse> pageByCondition(Page page, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    List<DgNoticeListResponse> selectApplyList(@Param("userId") String userId, @Param("roleIdlist") List<String> roleIdlist);
}
