package com.daqing.financial.guarantee.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.guarantee.DgBusinessProcessStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 业务流程状态表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-25
 */
@Mapper
public interface DgBusinessProcessStatusMapper extends BaseMapper<DgBusinessProcessStatus> {

    int selectBybusinessIdAndStatus(@Param("businessIds") List<Integer> businessIds, @Param("businessStatus") Integer businessStatus);
}
