package com.daqing.financial.guarantee.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.financial.guarantee.model.request.CopyForMeRequest;
import com.daqing.financial.guarantee.model.response.CopyForMeResponse;
import com.daqing.framework.domain.guarantee.DgCopyUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 抄送用户表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Mapper
public interface DgCopyUserMapper extends BaseMapper<DgCopyUser> {

    List<CopyForMeResponse> selectCopyForMe(CopyForMeRequest copyForMeRequest);

    Integer selectCopyForMeTotal(CopyForMeRequest copyForMeRequest);
}
