package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.financial.guarantee.model.request.DgFormDesignRequest;
import com.daqing.framework.domain.guarantee.DgFormDesign;
import com.daqing.framework.domain.guarantee.po.DgFormDesignPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 表单设计持久层接口
 *
 * @auther River
 * @date 2021/1/15 10:57
 */
@Mapper
public interface DgFormDesignMapper extends BaseMapper<DgFormDesign> {

    List<DgFormDesignPO> list(Integer processId);

    Boolean update(@Param("fd") DgFormDesignRequest dgFormDesignRequest);

    Integer getOperationProcessIdById(Integer id);
}
