package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.MessageInvestigationListResponse;
import com.daqing.framework.domain.guarantee.DgMessageInvestigation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 信息调查 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgMessageInvestigationMapper extends BaseMapper<DgMessageInvestigation> {

    IPage<MessageInvestigationListResponse> pageByCondition(Page page, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    List<MessageInvestigationListResponse> selectListByIds(@Param("ids") List<String> ids, @Param("userId")Integer userId);

    List<DgNoticeListResponse> selectMessageList(String userId, List<String> roleIdlist);
}
