package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.guarantee.DgProcessManageVisual;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 流程管理可见表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Mapper
public interface DgProcessManageVisualMapper extends BaseMapper<DgProcessManageVisual> {

    List<Integer> processVisualList(@Param("id") Integer id);

    int insertUserVisual(@Param("list")List<DgProcessManageVisual> list);

    int delBatchUserVisual(@Param("list")List<Integer> userId);
}
