package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/8/20 9:58
 * @Version 1.0
 */
@Data
public class CollectionProgressReq {

    @ApiModelProperty(value = "页号")
    private Integer page;

    @ApiModelProperty(value = "页数")
    private Integer size;

    @ApiModelProperty(value = "区域")
    private String area;

    @ApiModelProperty(value = "经营情况")
    private String operation;

    @ApiModelProperty(value = "贷款银行")
    private String bank;

    @ApiModelProperty(value = "金额范围符号")
    private String amountSymbol;

    @ApiModelProperty(value = "代偿金额")
    private BigDecimal compensationAmount;

    @ApiModelProperty(value = "余额范围符号")
    private String balanceSymbol;

    @ApiModelProperty(value = "代偿余额")
    private BigDecimal compensatoryBalance;

    @ApiModelProperty(value = "代偿开始时间")
    private String compensatoryStartTime;

    @ApiModelProperty(value = "代偿结束时间")
    private String compensatoryEndTime;

    @ApiModelProperty(value = "查询条件<企业名称、清收负责人、业务编号>")
    private String queryCondition;
}
