package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 合规调查调查和审核请求参数
 *
 * @auther River
 * @date 2020/12/2 14:21
 */
@Data
@ToString
public class DgComplianceInvestigationCheckRequest implements Serializable {

    @ApiModelProperty("iid")
    private Integer iid;

    @ApiModelProperty("调查/审核操作,1:同意,2:驳回,3:拒绝")
    private Integer status;

    @ApiModelProperty("附件,审核没有")
    private String[] fileUrls;

    @ApiModelProperty("调查/审核意见")
    private String opinion;
}
