package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 表单设计请求类
 *
 * @auther River
 * @date 2021/1/15 15:28
 */
@Data
@ToString
public class DgFormDesignRequest implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("是否可以隐藏,0:可以但没隐藏,1:不可以,2:可以并已隐藏")
    private Integer ifConceal;

    @ApiModelProperty("是否必填,0:是,1:否")
    private Integer ifRequired;

    @ApiModelProperty("提示信息")
    private String prompt;

}
