package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2020/11/12 17:14
 * @Version 1.0
 */
@Data
public class InvestigateMessageRequest {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "状态 0：待指派；1：审核中；2：已审核；3：拒绝；4：驳回；5：已撤销；6：草稿；")
    private Integer status;

    @ApiModelProperty(value = "审核意见")
    private String remark;

    @ApiModelProperty(value = "附件")
    private String[] file;



}
