package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 信息调查列表请求参数
 */
@Data
public class MessageInvestigationRequest {

    @ApiModelProperty(value = "页数")
    private Integer page;

    @ApiModelProperty(value = "页长")
    private Integer size;

    @ApiModelProperty(value = "业务编号/客户名称")
    private String CustomerNumberOrName;

    @ApiModelProperty(value = "流程状态")
    private Integer status;

}
