package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2020/11/19 14:26
 * @Version 1.0
 * 回款确认列表查询条件
 */
@Data
public class PaymentConfirmationQueryRequest {

    @ApiModelProperty(value = "当前页码,默认为第一页")
    private Integer page = 0;

    @ApiModelProperty(value = "每页记录数,默认显示10条")
    private Integer size = 10;

    @ApiModelProperty(value = "审核状态：（1审核中 、2已审核、4已驳回）")
    private Integer status;

    @ApiModelProperty(value = "业务编号/客户名称")
    private String CustomerNumberOrName;

}
