package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2021/8/30 11:21
 * @Version 1.0
 */
@Data
public class StatisticsListReq {

    @ApiModelProperty(value = "年份")
    @NotNull(message = "请选择年份")
    private String year;

    @ApiModelProperty(value = "清收组id")
    private String groupId;

    @ApiModelProperty(value = "比例范围符号")
    private String proportionSymbol;

    @ApiModelProperty(value = "比例")
    private String proportion;

    // @ApiModelProperty(value = "清收总额范围符号")
    // private String totalCollectionSymbol;
    //
    // @ApiModelProperty(value = "清收总额")
    // private String totalCollection;

    @ApiModelProperty(value = "查询条件<工号、清收负责人、清收企业>")
    private String queryCondition;

}
