package com.daqing.financial.guarantee.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2021/1/12 17:10
 * @Version 1.0
 */
@Data
public class ApprovalNum {

    @ApiModelProperty("已发起数")
    private Integer initiateNum = 0;

    @ApiModelProperty("已同意数")
    private Integer agreed = 0;

    @ApiModelProperty("已拒绝数")
    private Integer rejected = 0;

    @ApiModelProperty("已驳回数")
    private Integer turnDown = 0;

}
