package com.daqing.financial.guarantee.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 合规调查详情查看
 *
 * @auther River
 * @date 2020/12/1 10:17
 */
@Data
@ToString
public class DgComplianceInvestigationInfoResponse implements Serializable {

    @ApiModelProperty("担保部调查详情")
    private GuaranteeDetailResponse guaranteeDetailResponse;

    @ApiModelProperty("资产调查详细")
    private DgAssetsInvestigationResponse assetsResponse;

    @ApiModelProperty("合规调查的附件文件")
    private String[] fileUrls;

    @ApiModelProperty("合规调查的审核(调查)意见")
    private String opinion;

    @ApiModelProperty("C角姓名")
    private String CName;
}
