package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.domain.guarantee.DgBusinessCompany;
import com.daqing.framework.domain.guarantee.DgGuaranteeAssignUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.LinkedHashMap;

@Data
@ToString
public class GuaranteeDetailResponse implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务申请详细
     */
    @ApiModelProperty(value = "业务申请详细")
    private DgApplyAmountInfoResponse dgApplyAmountInfo;

    /**
     * 企业详细
     */
/*    @ApiModelProperty(value = "企业详细")
    private LinkedHashMap linkedHashMap;*/

    /**
     * 附件详细
     */
    @ApiModelProperty(value = "附件详细")
    private DgEnclosureInfoResponse dgEnclosureInfo;

    /**
     * 担保详情
     */
    @ApiModelProperty(value = "担保详细")
    private DgGuaranteeAssignUserResponse assignUser;

    @ApiModelProperty(value = "企业详细")
    private DgBusinessCompany dgBusinessCompany;


}
