package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.domain.guarantee.DgBusinessCompany;
import com.daqing.framework.domain.guarantee.DgMessageInvestigation;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;

@Data
@ToString
public class MessageDetailResponse implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务申请详细
     */
    @ApiModelProperty(value = "业务申请详细")
    private DgApplyAmountInfoResponse dgApplyAmountInfo;

    /**
     * 企业详细
     */
/*    @ApiModelProperty(value = "企业详细")
    private LinkedHashMap linkedHashMap;*/

    /**
     * 附件详细
     */
    @ApiModelProperty(value = "附件详细")
    private DgEnclosureInfoResponse dgEnclosureInfo;

    @ApiModelProperty(value = "信息部调查附件详细")
    private List<String> messageFileList;

    @ApiModelProperty(value = "信息部调查详细")
    private DgMessageInvestigation dgMessageInvestigation;

    @ApiModelProperty(value = "信息部调查专员")
    private String CName;

    @ApiModelProperty(value = "企业详细")
    private DgBusinessCompany dgBusinessCompany;

}
