package com.daqing.financial.guarantee.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/4/21 16:58
 * @Version 1.0
 */
@Data
public class PaymentConfirmationDetailRes {

    @ApiModelProperty("唯一标识")
    private Integer id;

    @ApiModelProperty(value = "审核意见")
    private String auditOpinion;

    @ApiModelProperty("银行名称")
    private String bank;

    @ApiModelProperty("贷审会同意时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date passingTime;

    @ApiModelProperty("附件（会议记录）")
    private String file;

    @ApiModelProperty("回单图片")
    private String imgFile;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("申请额度")
    private Double loanMoney;

    @ApiModelProperty("申请期限(月)")
    private String loanTern;


}
