package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.BusinessApplicationRequest;
import com.daqing.financial.guarantee.model.response.BusinessApplicationDetailResponse;
import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import com.daqing.framework.domain.guarantee.DgApplyField;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 申请贷款信息 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgApplyAmountInfoService extends IService<DgApplyAmountInfo> {

    int businessApplication(BusinessApplicationRequest businessApplication);

    PageUtils queryPage(Integer page, Integer size, String CustomerNumberOrName);

    BusinessApplicationDetailResponse businessApplicationDetail(Integer id);

    int updateBusinessApplication(BusinessApplicationRequest id);

    int revokeBusinessApplication(Integer id);

    Boolean excelExport(List<String> ids,Integer userId,HttpServletResponse response);

    int approvalBusinessApplication(Integer id, Integer status, String remark, Integer companyId);

    String getRoles();

    DgApplyField queryApplyField();

    Boolean updateApplyField(DgApplyField dgApplyField);

    BusinessApplicationDetailResponse xcxBusinessAppDetail(Integer id);
}
