package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.response.TodayApprovalRecordResponse;
import com.daqing.framework.domain.guarantee.DgAuditProcess;

import java.util.List;

/**
 * <p>
 * 审核流程进程 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgAuditProcessService extends IService<DgAuditProcess> {

    List<DgAuditProcess> queryProcessList(String businessId,String processId);

    List<Integer> getProcessId(String businessId);

    List<TodayApprovalRecordResponse> todayApprovalRecord();
}
