package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.DgComplianceInvestigationRequest;
import com.daqing.financial.guarantee.model.response.DgComplianceInvestigationInfoResponse;
import com.daqing.framework.domain.guarantee.DgComplianceInvestigation;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 合规调查 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgComplianceInvestigationService extends IService<DgComplianceInvestigation> {

    PageUtils list(Integer page, Integer size, DgComplianceInvestigationRequest dgComplianceInvestigationRequest);

    Boolean assign(Integer iid, Integer userId);

    Boolean survey(Integer iid, String fileUrl, String opinion, Integer status);

    Boolean check(Integer iid, String opinion, Integer status);

    DgComplianceInvestigationInfoResponse query(Integer iid);

    Boolean excelExport(HttpServletResponse response, List<String> ids,Integer userId);

    String getFileUrl(String[] fileUrls);
}
