package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.DgEfficiencyTeamRequest;
import com.daqing.financial.guarantee.model.response.PersonalEfficiencyListResponse;
import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @auther River
 * @date 2020/11/10 11:33
 */
public interface IDgEfficiencyService extends IService<DgApplyAmountInfo> {

    Map approvalNum();

    HashMap<Integer, HashMap<Integer, String>> queryList(DgEfficiencyTeamRequest dgEfficiencyTeamRequest);

    List notice();

    Map<String, Integer> getBusinessCount();

    List<PersonalEfficiencyListResponse> queryPersonalEfficiencyList();

    List<Map<String, Integer>> getNewBusinessCount();

    Map<String, Integer> getTodayBusinessCount();
}
