package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.DgLoanCommitteeConsiderRequest;
import com.daqing.financial.guarantee.model.response.DgLoanCommitteeConsiderInfoResponse;
import com.daqing.framework.domain.guarantee.DgLoanCommitteeConsider;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 贷审会审议 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgLoanCommitteeConsiderService extends IService<DgLoanCommitteeConsider> {

    PageUtils list(Integer page, Integer size, String codeOrName, Integer status);

    Boolean check(DgLoanCommitteeConsiderRequest dgLoanCommitteeConsiderRequest);

    List<String> getJudges(Integer id);

    DgLoanCommitteeConsiderInfoResponse query(Integer id);

    Boolean excelExport(HttpServletResponse response, List<String> ids,Integer userId);
}
