package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.PaymentConfirmationQueryRequest;
import com.daqing.financial.guarantee.model.request.PaymentConfirmationUpdateRequest;
import com.daqing.financial.guarantee.model.response.PaymentConfirmationDetailRes;
import com.daqing.framework.domain.guarantee.DgPaymentConfirmationConsider;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 回款确认 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgPaymentConfirmationConsiderService extends IService<DgPaymentConfirmationConsider> {

    PageUtils queryPage(PaymentConfirmationQueryRequest paymentConfirmationQueryRequest);

    boolean updatePaymentConfirmation(PaymentConfirmationUpdateRequest paymentConfirmationUpdateRequest);

    void batchExport(HttpServletResponse response,String ids,Integer userId) throws IOException;

    PaymentConfirmationDetailRes paymentConfirmationDetail(Integer id);
}
