package com.daqing.financial.hrauth.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.financial.hrauth.model.AccessRecordsObjRes;
import com.daqing.financial.hrauth.model.AccessRecordsRes;
import com.daqing.financial.hrauth.model.HrmsAccessRecordsLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 访问记录表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-01-12
 */
@Mapper
public interface HrmsAccessRecordsLogMapper extends BaseMapper<HrmsAccessRecordsLog> {
    List<HrmsAccessRecordsLog> queryAccessRecords(@Param("loginTime") String dateTime);

    int queryAccessCountPC(@Param("loginTime")String dateTime);

    int queryAccessCountAPP(@Param("loginTime")String dateTime);

    int queryUserCount(@Param("loginTime")String dateTime);

    List<String> queryLoginTime(@Param("loginTime")String dateTime);

    List<Integer> queryLoginSum(@Param("loginTime")String dateTime);

    List<AccessRecordsObjRes> queryLoginObj(@Param("loginTime")String dateTime);
}
