package com.daqing.financial.hrauth.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.hrms.SystemLog;
import com.daqing.framework.domain.hrms.request.UserLoginLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @ClassName SystemLogMapper
 * @Description 用户动作记录
 * @Date 2020/9/30
 * @Version 1.0
 */
@Mapper
public interface SystemLogMapper extends BaseMapper<SystemLog> {
    IPage<SystemLog> pageByCondition(Page page, @Param("sysLog") UserLoginLogRequest userLoginLogRequest);
}

