package com.daqing.financial.hrauth.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.hrauth.config.WeChatConfig;
import com.daqing.framework.domain.hrms.UserEntity;
import com.daqing.framework.domain.hrms.request.*;
import com.daqing.framework.model.response.ResponseResult;

import java.util.Map;

/**
 * @auther River
 * @date 2020/9/22 15:00
 */
public interface UserLoginService extends IService<UserEntity> {
    Boolean getBackPwd(ResetPwdRequest user);
    UserLoginRequest verifyMobile(UserLoginRequest user);

    //登录
    ResponseResult login(LoginRequest loginRequest);

    Boolean updatePwd(UpdatePwdRequest user);

    boolean bindPhoneAndOpenId(BindOpenIdRequest bindOpenIdRequest);

    int isPhoneExist(String mobile);

    ResponseResult wxAuthLogin(String encryptedData, String iv, String code, Integer identify);

    int isRemind(Integer isRemind);

    String readIsRemind();
}
