package com.daqing.financial.hrauth.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.financial.hrauth.dao.LoginLogMapper;
import com.daqing.financial.hrauth.service.LoginLogService;
import com.daqing.framework.domain.hrms.LoginLog;
import com.daqing.framework.domain.hrms.LoginLogEntity;
import com.daqing.framework.domain.hrms.request.UserLoginLogRequest;
import com.daqing.framework.utils.PageUtils;
import org.springframework.stereotype.Service;

@Service
public class LoginLogServiceImpl extends ServiceImpl<LoginLogMapper, LoginLog> implements LoginLogService {
    @Override
    public PageUtils queryPage(Integer page, Integer size, UserLoginLogRequest userLoginLogRequest) {
        //分页参数
        if (page <= 0) {
            page = 1;
        }
        if (size <= 0) {
            size = 10;
        }
        IPage<LoginLogEntity> loginLogVo = this.getBaseMapper().pageByCondition(new Page(page, size),userLoginLogRequest);

        return new PageUtils(loginLogVo);
    }
}
