package com.daqing.financial.hrauth.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.financial.hrauth.dao.LoginLogMapper;
import com.daqing.financial.hrauth.dao.SystemLogMapper;
import com.daqing.financial.hrauth.service.LoginLogService;
import com.daqing.financial.hrauth.service.SystemLogService;
import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.domain.hrms.LoginLog;
import com.daqing.framework.domain.hrms.SystemLog;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.domain.hrms.request.UserLoginLogRequest;
import com.daqing.framework.utils.PageUtils;
import org.springframework.stereotype.Service;

@Service
public class SystemLogServiceImpl extends ServiceImpl<SystemLogMapper, SystemLog> implements SystemLogService {
    @Override
    public PageUtils queryPage(Integer page, Integer size, UserLoginLogRequest userLoginLogRequest) {
        //分页参数
        if (page <= 0) {
            page = 1;
        }
        if (size <= 0) {
            size = 10;
        }
        IPage<SystemLog> systemLogVo = this.getBaseMapper().pageByCondition(new Page(page, size),userLoginLogRequest);

        return new PageUtils(systemLogVo);
    }

    @Override
    public int insertLog(SystemLog operationLog) {
        int b = this.baseMapper.insert(operationLog);
        return b;
    }
}
