package com.daqing.financial.hrms;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableFeignClients({"com.daqing.framework.feign","com.daqing.financial.hrms.feign"})
@EnableDiscoveryClient
@SpringBootApplication
@ComponentScan(basePackages = "com.daqing")
@EnableScheduling
//@Import({SecurityConfig.class})
public class DqFinancialHrmsApplication {

    public static void main(String[] args) {
        SpringApplication.run(DqFinancialHrmsApplication.class, args);
    }
}
