package com.daqing.financial.hrms.dao;

import com.daqing.financial.hrms.entity.vo.EmployeeVO;
import com.daqing.framework.domain.hrms.RoleEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.hrms.ext.RoleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 员工角色表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface RoleDao extends BaseMapper<RoleEntity> {

    List<RoleVO> listRoleIdAndName();

    List<EmployeeVO> selectEmployeesByRoleId(String roleId);

    void saveUserRole(@Param("roleId") String roleId,@Param("userId") String userId);

    int removeUserRole(@Param("roleId") String roleId);

    int selectUserRole(@Param("roleId") String roleId,@Param("userId") String userId);
}
