package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.hrms.entity.vo.EmployeeVO;
import com.daqing.financial.hrms.entity.vo.UserRoleVO;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.domain.hrms.RoleEntity;

import java.util.List;
import java.util.Map;

/**
 * 员工角色表
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface RoleService extends IService<RoleEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<EmployeeVO> getEmployeesByRoleId(String roleId);

    boolean saveUserRole(UserRoleVO userRoleVO);

}

