package com.daqing.framework.feign;

import com.daqing.framework.model.SystemLog;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * 这是一个声明式的远程调用
 */
@FeignClient(value = "dq-financial-hrms-auth",contextId = "common-hrms-auth")
public interface HrauthFeignService {

    @PostMapping("/hrms/auth/systemLog/insert")
    ResponseResult insert(@RequestBody SystemLog operationLog);
}
