package com.daqing.framework.feign;

import com.daqing.framework.model.EmployeeEntity;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 这是一个声明式的远程调用
 */
@Component
@FeignClient(name="dq-financial-hrms",contextId = "common-hrms")
public interface HrmsFeignService {

    @GetMapping("hrms/employee/getEmpmsgById")
    EmployeeEntity getEmpmsgById(@RequestParam("id") Long id);
}
