package com.daqing.framework.model;

/**
 * 状态码
 *
 * @auther River
 * @date 2020/9/27 11:56
 */
public class StatusCode {

    /**
     * 审批流程状态
     */
    public static final Integer SP_TO_BE_ASSIGNED = 0;//待指派

    public static final Integer SP_IN_REVIEW = 1;//审核中

    public static final Integer SP_REVIEWED = 2;//已审核

    public static final Integer SP_REFUSE = 3;//拒绝

    public static final Integer SP_REJECT = 4;//驳回

    public static final Integer SP_RESCINDED = 5;//已撤销

    public static final Integer SP_DRAFT = 6;//草稿

    /**
     * 业务流程状态
     */
    public static final Integer YW_RESCINDED = 0;//已撤销

    public static final Integer YW_IN_PROGRESS = 1;//进行中

    public static final Integer YW_COMPLETED = 2;//已完成

    public static final Integer YW_REJECTED = 3;//已否决

    /**
     * 操作流程状态
     */
    public static final Integer CZ_LAUNCH = 0;//已发起

    public static final Integer CZ_ON_HAND = 1;//待处理

    public static final Integer CZ_PROCESSED = 2;//已处理

    public static final Integer CZ_TO_BE_SUBMITTED = 3;//待提交

    public static final Integer CZ_TO_BE_DEFINED = 4;//待定义

}
