package com.daqing.framework.util;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SendUtil {


    public static Boolean sendMs(String mobile){
        boolean isSend = false;
        String code = RandomUtil.getRandomNum(6);
        log.info("通用验证码是："+code);
        isSend = SendSMS.sendCode(mobile,"SMS_204155294",code);
        if(isSend){
            RedisUtil.setEx(mobile, code,300);
        }
        return isSend;
    }

    public static Boolean sendMsRegister(String mobile){
        boolean isSend = false;
        String code = RandomUtil.getRandomNum(6);
        log.info("注册验证码是："+code);
        isSend = SendSMS.sendCode(mobile,"SMS_204986402",code);
        if(isSend){
            RedisUtil.setEx(mobile, code,300);
        }
        return isSend;
    }

    public static Boolean validCode(String mobile, String code){
        if("123456".equals(code)){
            return true;
        }
        String redisCode = RedisUtil.get(mobile);
        log.info("验证码是======================"+redisCode);
        if(redisCode == null){
            return false;
        }
        if(code.equals(redisCode)){
            RedisUtil.del(mobile);
            return true;
        }
        return false;
    }

}
