package com.daqing.framework.domain.crms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 客户关联表
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Data
@TableName("crms_customer_related")
public class CrmsCustomerRelated implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Integer customerId;

    /**
     * 关联人id
     */
    @ApiModelProperty(value = "关联人id")
    private Integer relatedId;
}
