package com.daqing.framework.domain.crms.ext;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @Author: gongsj.
 * @Description: 定义客户资源管理系统的一些常量
 * @Date:Created in 2020/09/08 17:05.
 * @Modified By:
 */
public class CrmsConstant {

    /**
     * 未删除
     */
    public static final Integer NOT_DELETE = 0;

//    /**
//     * 是否删除：1、已删除，0：未删除
//     */
//    @AllArgsConstructor
//    public enum isDel {
//        /**
//         * 已删除
//         */
//        DEL(1, "已删除"),
//        /**
//         * 未删除
//         */
//        NOT_DEL(0, "未删除");
//
//        /**
//         * 类型代号
//         */
//        @Setter
//        @Getter
//        private Integer code;
//
//        /**
//         * 类型名称
//         */
//        @Setter
//        @Getter
//        private String description;
//    }

    /**
     * 客户类型：1、企业类型，0：个人类型
     */
    @AllArgsConstructor
    public enum CustomerType {
        /**
         * 个人类型
         */
        PERSONAL_CUSTOMER(0, "个人类型"),
        /**
         * 企业类型
         */
        COMPANY_CUSTOMER(1, "企业类型");

        /**
         * 类型代号
         */
        @Setter
        @Getter
        private Integer type;

        /**
         * 类型名称
         */
        @Setter
        @Getter
        private String typeName;
    }
}
