package com.daqing.framework.domain.crms.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @auther River
 * @date 2020/10/19 10:32
 */
@Data
@ToString
public class CustomerWorkbenchRequest implements Serializable {

    @ApiModelProperty(value = "客户编号或者名称")
    private String codeOrName;

    @ApiModelProperty(value = "客户类型")
    private Integer customerType;

    @ApiModelProperty(value = "创建时间")
    private Integer createTime;

    @ApiModelProperty(value = "起始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "审批状态(0:通过,1:不通过,2:待审核)")
    private Integer status;
}
