package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author Qyq
 * @since 2020-11-24
 */
@Data
@TableName("dg_apply_amount_list")
public class DgApplyAmountList implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 提单人id
     */
    private Integer presenterId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 审批人id
     */
    private Integer empId;

    /**
     * 类型（1->担保部业务员；2->担保部经理审核）
     */
    private Integer type;

    /**
     * 状态(1：待指派 2：审核中  3：审核通过 4：审核不通过 5：驳回)
     */
    private Integer status;

    /**
     * 操作状态
     */
    private Integer operatingStatus;

    /**
     * 审核意见
     */
    private String applyContent;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    private Integer ver;
}
