package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author Qyq
 * @since 2020-11-26
 */
@Data
@TableName("dg_assets_money")
public class DgAssetsMoney implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 房产金额
     */
    private BigDecimal houseMoney;

    /**
     * 车辆金额
     */
    private BigDecimal carMoney;

    /**
     * 设备金额
     */
    private BigDecimal equipmentMoney;

    /**
     * 其他金额
     */
    private BigDecimal otherMoney;
}
