package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 业务流程状态表
 * </p>
 *
 * @author Qyq
 * @since 2020-11-25
 */
@Data
@TableName("dg_business_process_status")
public class DgBusinessProcessStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 业务状态：1->进行中；2->已完成；3->已否决；
     */
    private Integer businessStatus;
}
