package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 表单设计实体类
 *
 * @auther River
 * @date 2021/1/15 10:47
 */
@Data
@ToString
@TableName("dg_form_design")
public class DgFormDesign implements Serializable {

    private Integer id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 属于节点
     */
    private String processId;

    /**
     * 是否可以隐藏
     */
    private Integer ifConceal;

    /**
     * 可操作节点
     */
    private Integer operationProcessId;

    /**
     * 是否必填
     */
    private Integer ifRequired;

    /**
     * 原本名称
     */
    private String formerName;

    /**
     * 提示信息
     */
    private String prompt;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
