package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 流程管理可见表
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Data
@TableName("dg_process_manage_visual")
public class DgProcessManageVisual implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程管理id
     */
    private Integer processManageId;

    /**
     * 可见人id
     */
    private Integer userId;
}
