package com.daqing.framework.domain.hrms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("hrms_login_log")
public class LoginLog {

    @TableId(type = IdType.AUTO)
    private int id;

    //用户id
    private Long userId;

    //登录次数
    private int loginNum;

    //登录标识：0->员工；1->客户；
    private Integer type;

    //创建时间
    private Date createTime;

    //最新登录时间
    private Date newestTime;
}
