package com.daqing.framework.domain.hrms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("hrms_login_log")
public class LoginLogEntity {

    @TableId(type = IdType.AUTO)
    private int id;

    //用户id
    private Long userId;

    //登录次数
    private int loginNum;

    //创建时间
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    //最新登录时间
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date newestTime;

    //员工姓名
    private String empName;

    //工号
    private String jobNumber;

    //联系电话
    private String phone;

    //职位
    private String posName;

    //部门名称
    private String deptName;

}
