package com.daqing.framework.domain.hrms.ext;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 导出员工信息模板
 * @auther River
 * @date 2020/10/13 16:08
 */
@Data
@ToString
public class EmployeeTemplate extends BaseRowModel implements Serializable {

    @ExcelProperty(value = "姓名",index = 0)
    private String name;

    @ExcelProperty(value = "账号",index = 1)
    private String account;

    @ExcelProperty(value = "工号",index = 2)
    private String jobNumber;

    @ExcelProperty(value = "部门(eg:安全部门&技术部门,请按照格式填写正常且已存在的部门名称)",index = 3)
    private List<String> departmentNameList;

    @ExcelProperty(value = "职位(eg:合规部专员&合规部经理,请按照格式填写正常且已存在的职位名称)",index = 4)
    private List<String> positionNameList;

    @ExcelProperty(value = "角色(eg:超级管理员&员工,请按照格式填写正常且已存在的角色名称)",index = 5)
    private List<String> roleNameList;

}
