package com.daqing.framework.domain.hrms.ext;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 记录职位信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Data
public class PositionVO implements Serializable {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("所属部门")
    private String deptNames;

    @ApiModelProperty("创建人")
    private String createUserName;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("创建时间")
    private Date createTime;
}

