package com.daqing.framework.domain.hrms.request;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 新增部门请求体对象
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class DeptAddRequest implements Serializable {

	/**
	 * 部门名称
	 */
	private String name;
	/**
	 * 上级部门id
	 */
	private Long parentId;
}
