package com.daqing.framework.domain.hrms.request;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 记录菜单权限
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class PermissionAddRequest implements Serializable {

    /**
     * 权限标识符
     */
    private String code;
    /**
     * 名称
     */
    private String name;
    /**
     * 路径
     */
    private String url;
    /**
     * 父权限id
     */
    private Long parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 是否是菜单：1、是，0、不是
     */
    private Integer menuOrNot;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 图标
     */
    private String icon;

}
