package com.daqing.framework.utils.excel;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.ExcelWriter;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/10/19 14:45
 * @Version 1.0
 */
public class EasyExcelUtil {
    public static void download(HttpServletResponse response, Class head, List list, String fileName, String sheetName) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        String filePath = fileName + ".xlsx";
        String name = new String(filePath.getBytes(), StandardCharsets.ISO_8859_1);
        response.addHeader("Content-Disposition", "filename=" + name);
        EasyExcel.write(response.getOutputStream(), head).sheet(sheetName).doWrite(list);
    }
}
