package com.daqing.financial.crms;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@EnableFeignClients({"com.daqing.framework.feign","com.daqing.financial.crms.feign"})
@EnableDiscoveryClient
@SpringBootApplication
@ComponentScan("com.daqing")
public class DqFinancialCrmsApplication {

    public static void main(String[] args) {
        SpringApplication.run(DqFinancialCrmsApplication.class, args);
    }

}
