package com.daqing.financial.crms.dao;

import com.daqing.framework.domain.crms.CompanyCustomerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.daqing.framework.domain.crms.request.DgApplyAmountInfoRequest;
import com.daqing.framework.domain.crms.response.CompanyCustomerResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业类型客户信息表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
@Mapper
public interface CompanyCustomerDao extends BaseMapper<CompanyCustomerEntity> {

    CompanyCustomerEntity queryCompanyCustomerById(Long id);

    boolean saveCompanyCustomer(CompanyCustomerEntity companyCustomerEntity);

    boolean updateCompanyCustomer(CompanyCustomerEntity companyCustomerEntity);

    CompanyCustomerResponse queryCompanyInfo(@Param("applyAmountInfo") DgApplyAmountInfoRequest applyAmountInfo);

}
