package com.daqing.financial.crms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.daqing.framework.domain.crms.request.CustomerWorkbenchRequest;
import com.daqing.framework.domain.crms.response.CustomerEntityResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @auther River
 * @date 2020/10/19 10:45
 */
@Mapper
public interface CustomerWorkbenchDao extends BaseMapper<CustomerEntity> {

    IPage<CustomerEntityResponse> queryList(Page page, @Param("cr")CustomerWorkbenchRequest customerWorkbenchRequest);

    Boolean passById(@Param("id")Long id,@Param("manager")Long manager);
}
