package com.daqing.financial.crms.dao;

import com.daqing.framework.domain.crms.PersonalCustomerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 个人类型客户信息表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
@Mapper
public interface PersonalCustomerDao extends BaseMapper<PersonalCustomerEntity> {

    PersonalCustomerEntity queryPersonalCustomerById(Long id);

    boolean savePersonalCustomer(PersonalCustomerEntity personalCustomerEntity);

    boolean updatePersonalCustomer(PersonalCustomerEntity personalCustomerEntity);
}
