package com.daqing.financial.crms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.crms.CrmsCompanyPersonal;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 关联人/关联企业 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-13
 */
@Mapper
public interface CrmsCompanyPersonalMapper extends BaseMapper<CrmsCompanyPersonal> {

    boolean updateIsExistRelated(@Param("id") Integer id, @Param("isExistRelated") Integer isExistRelated);

    IPage<CrmsCompanyPersonal> pageByCondition(Page page, Integer customerId);
}
