package com.daqing.financial.crms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.crms.model.request.CompanyCustomerRequest;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.daqing.framework.domain.crms.ext.CustomerCompanyTOI;
import com.daqing.framework.domain.crms.ext.CustomerCompanyTOU;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOI;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOU;
import com.daqing.framework.domain.crms.request.CustomerWorkbenchRequest;
import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;

import java.util.List;


/**
 * @auther River
 * @date 2020/10/19 10:39
 */
public interface CustomerWorkbenchService extends IService<CustomerEntity> {

    PageUtils list(Integer page, Integer size, CustomerWorkbenchRequest customerWorkbenchRequest);

    ResponseResult info(Long id);

    List<String> delete(Long[] ids);

    Boolean savePersonal(CustomerPersonalTOI customerPersonalTOI);

    /*Boolean saveCompany(CustomerCompanyTOI customerCompanyTOI);*/

    Boolean updatePersonal(CustomerPersonalTOU customerPersonalTOU);

    /*Boolean updateCompany(CustomerCompanyTOU customerCompanyTOU);*/

    Boolean pass(Long id,Long manager);

    Boolean noPass(Long id,String cause);

    List<EmployeeEntity> getCustomerManager();

    Boolean insertCompany(CompanyCustomerRequest companyCustomerReq);

    Boolean updateCompanyNew(CompanyCustomerRequest companyCustomerReq);
}
