package com.daqing.financial.crms.service.impl;

import com.daqing.financial.crms.mapper.CrmsCustomerRelatedMapper;
import com.daqing.financial.crms.service.ICrmsCustomerRelatedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.framework.domain.crms.CrmsCustomerRelated;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 客户关联表 服务实现类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Service
public class CrmsCustomerRelatedServiceImpl extends ServiceImpl<CrmsCustomerRelatedMapper, CrmsCustomerRelated> implements ICrmsCustomerRelatedService {

    @Override
    public boolean deleteByRelateIds(List<Long> ids) {
        return this.getBaseMapper().deleteByIds(ids);
    }

    @Override
    public boolean insertCustomerRelated(List<CrmsCustomerRelated> relatedList) {
        return this.getBaseMapper().insertCustomerRelated(relatedList);
    }
}
