package com.daqing.financial.guarantee.controller;


import com.daqing.financial.guarantee.service.IDgBankService;
import com.daqing.framework.domain.guarantee.DgBank;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Api(tags = {"银行管理"})
@RestController
@RequestMapping("/dg-bank")
public class DgBankController {
    @Resource
    private IDgBankService dgBankService;

    /**
     * 查询所有银行数据
     * @param
     * @return
     */
    @GetMapping("/bankList")
    @ApiOperation(value = "查询所有银行数据")
    public ResponseResult bankList(){
        List<DgBank> result = dgBankService.list();
        return ResponseResult.SUCCESS(result);
    }

}
