package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.financial.guarantee.model.response.CollectionGroupListResp;
import com.daqing.financial.guarantee.model.response.Personnel;
import com.daqing.framework.domain.guarantee.AlReimbursement;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 保后代偿清收相关信息 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-08-12
 */
@Mapper
public interface AlReimbursementMapper extends BaseMapper<AlReimbursement> {

    List<AlReimbursement> selectListByYear(@Param("year")String year,@Param("ids")List<Integer> personLiableIds);

    List<Personnel> selectPersonnelList();
}
