package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.financial.guarantee.model.response.EfficiencyApprovalResponse;
import com.daqing.financial.guarantee.model.response.TodayApprovalRecordResponse;
import com.daqing.framework.domain.guarantee.DgAuditProcess;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 审核流程进程 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgAuditProcessMapper extends BaseMapper<DgAuditProcess> {

    List<DgAuditProcess> selectAuditProcessList(@Param("businessId") String businessId,@Param("processId") String processId);

    List<Integer> selectProcessId(String businessId);

    List<String> selectTenDays(Integer userId);

    List<Integer> selectApprovalNum(int parseInt);

    List<TodayApprovalRecordResponse> selectTodayApprovalRecord(@Param("userId")String userId,@Param("startTime")String startTime,@Param("endTime")String endTime);
}
