package com.daqing.financial.guarantee.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.guarantee.DgProcessManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 流程管理表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Mapper
public interface DgProcessManageMapper extends BaseMapper<DgProcessManage> {

    List<DgProcessManage> processManageList(@Param("usrId") int usrId);

    Boolean updateTimeByModelId(@Param("modelId") Integer modelId, @Param("date") Date date);

    List<Integer> queryAllModelId();
}
