package com.daqing.financial.guarantee.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.request.DgStatisticsRequest;

import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import com.daqing.framework.domain.guarantee.po.DgStatisticsPO;
import com.daqing.framework.domain.guarantee.po.DgStatisticsRefusePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @auther River
 * @date 2020/11/5 15:06
 */
@Mapper
public interface DgStatisticsMapper extends BaseMapper<DgApplyAmountInfo> {

    IPage<DgStatisticsPO> list(Page page, @Param("sr") DgStatisticsRequest dgStatisticsRequest);

    IPage<DgStatisticsRefusePO> listRefuse(Page page, @Param("sr") DgStatisticsRequest dgStatisticsRequest);
}
