package com.daqing.financial.guarantee.model.request;

import com.daqing.financial.guarantee.model.response.BusinessApplicationExportResponse;
import com.daqing.financial.guarantee.model.response.BusinessApplicationListResponse;
import com.daqing.financial.guarantee.model.response.GuaranteeLetterListResponse;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author chen
 * @DATE 2020/11/16 20:16
 * @Version 1.0
 * 业务申请列表导出
 */
@Data
public class ApplyAmountListRequest {

    @ApiModelProperty(value = "业务申请导出数据")
    private List<BusinessApplicationExportResponse> businessAppListResList;

}
