package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author chen
 * @DATE 2020/11/12 17:14
 * @Version 1.0
 */
@Data
public class ApprovalGuaranteeRequest {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "审核意见")
    private String applyContent;

    @ApiModelProperty(value = "审核金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "期限")
    private String term;

    @ApiModelProperty(value = "补充调查原因")
    private String[] remark;

    @ApiModelProperty(value = "其他原因")
    private String otherRemark;



}
