package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 合规调查请求参数
 *
 * @auther River
 * @date 2020/11/11 16:16
 */
@Data
@ToString
public class DgComplianceInvestigationRequest implements Serializable {

    @ApiModelProperty("业务编号或者客户名称")
    private String codeOrName;

    @ApiModelProperty("流程状态")
    private Integer status;
}
