package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 工作会评委抽取请求参数
 *
 * @auther River
 * @date 2020/11/26 15:16
 */
@Data
@ToString
public class DgWorkConferenceConsiderRequest implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("审核意见")
    private String opinion;

    @ApiModelProperty("操作,1:同意,2:驳回,3:拒绝")
    private Integer status;

    @ApiModelProperty("评委名称")
    private List<String> empNames;

}
