package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2021/8/26 14:18
 * @Version 1.0
 */
@Data
public class GenerateReq {

    @ApiModelProperty("年份")
    @NotNull(message = "请选择年份")
    private String year;

    @ApiModelProperty("人员生成标识")
    private int flag;

    @ApiModelProperty("人员ids")
    @NotNull(message = "请选择生成人员")
    private List<Integer> personLiableIds;

}
