package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2020/11/18 16:44
 * @Version 1.0
 * 担保函更新确认状态及审核意见
 */
@Data
public class GuaranteeLetterUpdateStatusRequest {

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "审核意见")
    private String auditOpinion;

}
