package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2020/11/12 17:14
 * @Version 1.0
 */
@Data
public class GuaranteeRequest {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ApiModelProperty(value = "被指派人A角id")
    private Integer empAId;

    @ApiModelProperty(value = "被指派人B角id")
    private Integer empBId;


}
