package com.daqing.financial.guarantee.model.request;

import com.daqing.framework.domain.guarantee.AlInsuranceList;
import com.daqing.framework.domain.guarantee.AlReimbursement;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2021/8/13 15:59
 * @Version 1.0
 * 保后业务添加实体类
 */
@Data
public class InsuranceSaveReq {

    @ApiModelProperty(value = "担保信息")
    private AlInsuranceList alInsuranceList;

    @ApiModelProperty(value = "保后代偿清收相关信息")
    private AlReimbursement alReimbursement;
}
