package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * @Author chen
 * @DATE 2020/11/16 20:16
 * @Version 1.0
 * 业务申请列表导出
 */
@Data
public class ProcessManageRequest {

    @ApiModelProperty("流程管理模板id")
    private Integer id;

    @ApiModelProperty("图标")
    private String iconImg;

    @ApiModelProperty("审批说明")
    private String approvalInstructions;

    @ApiModelProperty("更新时间")
    private Date updateTime;

}
