package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import com.daqing.framework.domain.guarantee.DgBusinessCompany;
import com.daqing.framework.domain.guarantee.DgEnclosureInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.LinkedHashMap;

@Data
@ToString
public class BusinessApplicationDetailResponse implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务申请详细
     */
    @ApiModelProperty(value = "业务申请详细")
    private DgApplyAmountInfoResponse dgApplyAmountInfo;

    /**
     * 企业详细
     */
    @ApiModelProperty(value = "企业详细")
    private LinkedHashMap linkedHashMap;

    /**
     * 附件详细
     */
    @ApiModelProperty(value = "附件详细")
    private DgEnclosureInfoResponse dgEnclosureInfo;

    /**
     * 关联人信息列表
     */
/*    @ApiModelProperty(value = "关联人信息列表")
    private LinkedHashMap linkedHashMap2;*/

    @ApiModelProperty(value = "备份企业详细")
    private DgBusinessCompany dgBusinessCompany;



}
