package com.daqing.financial.guarantee.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 表单设计返回列表实体类
 *
 * @auther River
 * @date 2021/1/15 14:32
 */
@Data
@ToString
public class DgFormDesignListResponse implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("是否可以隐藏,0:可以但没隐藏,1:不可以,2:可以并已隐藏")
    private Integer ifConceal;

    @ApiModelProperty("是否必填,0:是,1:否")
    private Integer ifRequired;

    @ApiModelProperty("是否可以操作,0:是,1:否")
    private Integer ifOperation;

    @ApiModelProperty("原本名称")
    private String formerName;

    @ApiModelProperty("提示信息")
    private String prompt;

}
