package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/4/21 16:26
 * @Version 1.0
 */
@Data
public class GuaranteeLetterDetailRes {

    @ApiModelProperty("唯一标识")
    private Integer id;

    @ApiModelProperty("银行名称")
    private String bank;

    @ApiModelProperty(value = "审核意见")
    private String auditOpinion;

    @ApiModelProperty("贷审会同意时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date passingTime;

    @ApiModelProperty("附件（会议记录）")
    private String file;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("申请额度")
    private Double loanMoney;

    @ApiModelProperty("申请期限(月)")
    private String loanTern;

}
