package com.daqing.financial.guarantee.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/8/30 16:00
 * @Version 1.0
 */
@Data
public class OtherStatistics {

    @ApiModelProperty(value = "清收企业")
    private String enterprise;

    @ApiModelProperty(value = "清收现金")
    private BigDecimal cash;

    @ApiModelProperty(value = "清收资产")
    private BigDecimal assets;

    @ApiModelProperty(value = "回款时间")
    private Date collectionTime;

    @ApiModelProperty(value = "已清收总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "完成比例")
    private String proportion;

    @ApiModelProperty(value = "备注")
    private String description;

}
