package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.AlCollectionListRequest;
import com.daqing.financial.guarantee.model.request.AlCollectionRequest;
import com.daqing.financial.guarantee.model.response.MoreOverdueDetailResponse;
import com.daqing.financial.guarantee.model.response.OverdueDetailResponse;
import com.daqing.framework.domain.guarantee.AlCollection;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 保后催收 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
public interface IAlCollectionService extends IService<AlCollection> {

    PageUtils list(Integer page, Integer size, String codeOrName, Integer status);

    Boolean collection(AlCollectionRequest alCollectionRequest);

    OverdueDetailResponse overdueDetail(Integer insuranceId);

    PageUtils collectionList(AlCollectionListRequest alCollectionListRequest);

    MoreOverdueDetailResponse moreOverdueDetail(Integer id);

    void listExportExcel(List<Integer> insuranceIds, HttpServletResponse response) throws IOException;

    void collectionListExportExcel(List<Integer> ids,Integer insuranceId, HttpServletResponse response) throws IOException;
}
