package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.guarantee.AlRepaymentEntry;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 还款记录表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
public interface IAlRepaymentEntryService extends IService<AlRepaymentEntry> {

    int repaymentEntry(AlRepaymentEntry alRepaymentEntryReq);

    void updateReimbursementData(Integer insuranceId);

    AlRepaymentEntry repaymentDetail(Integer id);

    PageUtils queryPage(Integer page, Integer size, String customerNumberOrName, Integer status, Integer insuranceId);

    int updateRepayment(AlRepaymentEntry alRepaymentEntryReq);

    int delRepayment(List<Integer> ids);

    Boolean excelExport(List<String> ids,Integer insuranceId, HttpServletResponse response);

    Map repaymentStatistics(Integer insuranceId);

    void updateRepaymentEntry(Integer insuranceId);
}
