package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.ApprovalAssetsRequest;
import com.daqing.financial.guarantee.model.request.AssetsRequest;
import com.daqing.financial.guarantee.model.request.InvestigateAssetsRequest;
import com.daqing.financial.guarantee.model.response.AssetsDetailResponse;
import com.daqing.framework.domain.guarantee.DgAssetsInvestigation;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 资产调查 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-23
 */
public interface IDgAssetsInvestigationService extends IService<DgAssetsInvestigation> {

    PageUtils queryPage(Integer page, Integer size, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    Boolean assignCorners(AssetsRequest assetsRequest);

    AssetsDetailResponse assetsDetail(Integer id);

    int investigateGuarantee(InvestigateAssetsRequest investigateAssetsRequest);

    int approvalAssets(ApprovalAssetsRequest approvalAssetsRequest);

    Boolean excelExport(List<String> ids, Integer userId, HttpServletResponse response);
}
