package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.CopyForMeRequest;
import com.daqing.financial.guarantee.model.response.CopyForMeResponse;
import com.daqing.framework.domain.guarantee.DgCopyUser;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 抄送用户表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
public interface IDgCopyUserService extends IService<DgCopyUser> {

    List<CopyForMeResponse> queryCopyForMe(CopyForMeRequest copyForMeRequest);

    Integer queryTotal(CopyForMeRequest copyForMeRequest);

    void exportCopyForMe(HttpServletResponse response) throws IOException;
}
