package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.ApprovalGuaranteeRequest;
import com.daqing.financial.guarantee.model.request.GuaranteeRequest;
import com.daqing.financial.guarantee.model.request.InvestigateGuaranteeRequest;
import com.daqing.financial.guarantee.model.response.GuaranteeDetailResponse;
import com.daqing.framework.domain.guarantee.DgGuaranteeAssignUser;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 担保部记录 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgGuaranteeAssignUserService extends IService<DgGuaranteeAssignUser> {

    PageUtils queryPage(Integer page, Integer size, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    GuaranteeDetailResponse guaranteeDetail(Integer id);

    int investigateGuarantee(InvestigateGuaranteeRequest investigateGuaranteeRequest);

    int approvalGuarantee(ApprovalGuaranteeRequest approvalGuaranteeRequest);

    Boolean excelExport(List<String> ids, Integer userId, HttpServletResponse response);

    ResponseResult assignCorners(GuaranteeRequest guaranteeRequest);
}
