package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.ApprovalMessageRequest;
import com.daqing.financial.guarantee.model.request.AssetsInvestigationRequest;
import com.daqing.financial.guarantee.model.request.InvestigateMessageRequest;
import com.daqing.financial.guarantee.model.request.MessageRequest;
import com.daqing.financial.guarantee.model.response.MessageDetailResponse;
import com.daqing.framework.domain.guarantee.DgMessageInvestigation;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 信息调查 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgMessageInvestigationService extends IService<DgMessageInvestigation> {

    PageUtils queryPage(Integer page, Integer size, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    Boolean assignCorners(MessageRequest messageRequest);

    MessageDetailResponse messageDetail(Integer id);

    int investigateMessage(InvestigateMessageRequest investigateMessageRequest);

    int approvalMessage(ApprovalMessageRequest approvalMessageRequest);

    Boolean excelExport(List<String> ids,Integer userId, HttpServletResponse response);
}
