package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.ProcessManageRequest;
import com.daqing.financial.guarantee.model.response.DgProessManageRes;
import com.daqing.framework.domain.guarantee.DgProcessManage;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.domain.hrms.ext.UserDeptVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 流程管理表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
public interface IDgProcessManageService extends IService<DgProcessManage> {

    List<DgProcessManage> processManageList(String userId);

    List<EmployeeVO> processVisualList(Integer id);

    Boolean updateUserVisual(@Param("id") Integer id, @Param("ids") List<Integer> ids);

    int updateProcessManage(@Param("processManageReq")ProcessManageRequest processManageReq);

    Boolean queryAllModelId(Integer userId);

    Boolean delUserVisual(Integer userId);

    Boolean delBatchUserVisual(List<Integer> userId);
}
