package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.response.AuditOpinionResponse;
import com.daqing.financial.guarantee.model.response.DgWorkConferenceConsiderQueryResponse;
import com.daqing.framework.domain.guarantee.DgWorkConferenceConsider;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 工作会审议 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgWorkConferenceConsiderService extends IService<DgWorkConferenceConsider> {

    PageUtils list(Integer page, Integer size, String codeOrName,Integer status);

    Boolean check(Integer id, String opinion, Integer status, List<String> empNames);

    Boolean theJudgesDrawn(Integer id, List<String> empNames);

    AuditOpinionResponse getAuditOpinion(Integer businessId);

    DgWorkConferenceConsiderQueryResponse query(Integer id);

    Boolean excelExport(HttpServletResponse response, List<String> ids,Integer userId);
}
