package com.daqing.financial.hrauth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableFeignClients({"com.daqing.framework.feign","com.daqing.financial.hrauth.feign"})
@EnableDiscoveryClient
@SpringBootApplication
@EnableScheduling
@ComponentScan(basePackages = "com.daqing")
public class DqFinancialHrmsAuthApplication {

    public static void main(String[] args) {
        SpringApplication.run(DqFinancialHrmsAuthApplication.class, args);
    }

}
