package com.daqing.financial.hrauth.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 访问记录表
 * </p>
 *
 * @author Qyq
 * @since 2021-01-12
 */
@Data
@TableName("hrms_access_records_log")
public class AccessRecordsObjRes implements Serializable {

    @ApiModelProperty(value = "今日登录用户时间点")
    private String loginTime;
    @ApiModelProperty(value = "今日登录用户不同时间点登录总数")
    private Integer loginSum;

}
