package com.daqing.financial.hrauth.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 访问记录表
 * </p>
 *
 * @author Qyq
 * @since 2021-01-12
 */
@Data
@TableName("hrms_access_records_log")
public class AccessRecordsRes implements Serializable {

    @ApiModelProperty(value = "PC总访问量")
    private Integer countPC;
    @ApiModelProperty(value = "APP总访问量")
    private Integer countAPP;
    @ApiModelProperty(value = "总访问量")
    private Integer countSum;


}
