package com.daqing.financial.hrauth.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 小程序授权登录
 * </p>
 *
 * @author Qyq
 * @since 2021-01-12
 */
@Data
public class XccLoginReq implements Serializable {

    private String encryptedData;//明文,加密数据
    private String iv;//加密算法的初始向量
    private String code;//用户允许登录后，回调内容会带上 code（有效期五分钟），开发者需要将 code 发送到开发者服务器后台
    // ，使用code 换取 session_key api，将 code 换成 openid 和 session_key
    private Integer identify;//标识 0->员工；1->客户

}
