package com.daqing.financial.hrauth.util;



public class WXPublicUtils {

    /**
     * 验证Token
     * @param msgSignature 签名串，对应URL参数的signature
     * @param timeStamp 时间戳，对应URL参数的timestamp
     * @param nonce 随机串，对应URL参数的nonce
     *
     * @return 是否为安全签名
     */
    public static boolean verifyUrl(String msgSignature, String timeStamp, String nonce){
        // 这里的 WXPublicConstants.TOKEN 填写你自己设置的Token就可以了
        String signature = SHA1.getSHA1("123456", timeStamp, nonce);
        if (!signature.equals(msgSignature)) {
//            throw new AesException(AesException.ValidateSignatureError);
            throw new IllegalArgumentException("验证Token异常");
       }
        return true;
    }
}
