package com.daqing.financial.hrauth;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 记录部门信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class Student implements Serializable {
	private static final long serialVersionUID = 1L;

	public Student(String name, Integer age) {
		this.name = name;
		this.age = age;
	}

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	/**
	 * 部门名称
	 */
	@ApiModelProperty(value = "部门名称")
	private String name;
	/**
	 * 上级部门id
	 */
	private Integer age;

}
