package com.daqing.financial.hrms.dao;

import com.daqing.framework.domain.hrms.PermissionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.hrms.response.RolePermissionResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录菜单权限
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface PermissionDao extends BaseMapper<PermissionEntity> {

    List<RolePermissionResponse> listPermissionByRoleIds(@Param("ids") List<Long> ids);

    List<PermissionEntity> queryPermissionsByIds(@Param("ids")List<Long> ids);
}
