package com.daqing.financial.hrms.dao;

import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.domain.hrms.RolePermissionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色——权限中间表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-14 09:35:05
 */
@Mapper
public interface RolePermissionDao extends BaseMapper<RolePermissionEntity> {

    List<RolePermissionEntity> queryPermissionsByRoleIds(@Param("ids") List<Long> ids);
}
