package com.daqing.financial.hrms.feign;

import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * 这是一个声明式的远程调用
 */
@FeignClient("dq-financial-crms")
public interface CrmsFeignService {

    @GetMapping("/crms/customer/list")
    ResponseResult list(@RequestParam Map<String, Object> params);

}
