package com.daqing.financial.hrms.feign;

import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * 这是一个声明式的远程调用
 */
@FeignClient("dq-financial-guarantee")
public interface GuaranteeFeignService {

    @PostMapping("/dg-process-manage/updateManagerVisual")
    ResponseResult updateManagerVisual(@RequestBody Integer userId);

    @PostMapping("/dg-process-manage/delUserVisual")
    ResponseResult delUserVisual(@RequestBody Integer userId);

    @PostMapping("/dg-process-manage/delBatchUserVisual")
    ResponseResult delBatchUserVisual(@RequestBody List<Integer> userId);

}
