package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.hrms.RolePermissionEntity;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.domain.hrms.PermissionEntity;

import java.util.List;
import java.util.Map;

/**
 * 记录菜单权限
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface PermissionService extends IService<PermissionEntity> {

    List<PermissionEntity> listWithTree();

    List<PermissionEntity> queryPermissionList();

    List<RolePermissionEntity> queryRolePermissionList(Long id);

/*    List<RolePermissionEntity> queryPermissionsByRoleIds(List<Long> ids);

    List<PermissionEntity> queryPermissionsByIds(List<Integer> asList);*/

    List getPermission(String roleIds);
}

