package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.hrms.ext.EmployeeAndUserVO;
import com.daqing.framework.domain.hrms.UserEntity;
import org.springframework.web.multipart.MultipartFile;


/**
 * 人资管理系统，员工账号信息表，用于存储员工账号密码等登录相关数据
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface UserService extends IService<UserEntity> {

    EmployeeAndUserVO info();

    Boolean update(EmployeeAndUserVO employeeAndUserVO);

    String uploadFile(MultipartFile file);

    Boolean updatePassword(String primaryPassword,String newPassword,String affirmNewPassword);

    Boolean getVerificationCode(String phone);

    Boolean bindingPhoneAccount(String phone,String code);

    Boolean cancel();

    Boolean updateHeadPortraitUrl(String headPortraitUrl);
}

