package com.daqing.financial.hrms.task;

import com.daqing.financial.hrms.service.EmployeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时禁用检测类
 * @auther River
 * @date 2020/10/14 16:04
 */
@Component
public class DisableDetectionTask {

    @Autowired
    private EmployeeService employeeService;

    //格式 ：秒 分 时 日 月 年
    @Scheduled(cron = "0 0 0 * * ?")
    public void disableDetection(){

        employeeService.disableDetection();
    }
}
