package com.daqing.framework.model.response;

/**
 * 提示信息
 *
 * @auther River
 * @date 2020/9/27 11:56
 */
public class PromptSuccess {

    public static final String DELETE_SUCCESS = "删除成功!";

    public static final String DELETE_FAIL = "删除失败!";

    public static final String NOT_BEING = "该员工已不存在";

    public static final Integer STOP_STATUS = 1; // 已禁用

    public static final Integer START_STATUS = 0; // 开启

    public static final Integer UPCOMING_STOP_STATUS = 2; // 即将禁用

    public static final String RESET_PASSWORD = "Aa1234"; // 初始密码

    public static final String MATCHES_STRING = "^(?=.*[a-z])(?=.*[A-Z])(?=.*\\d)[a-zA-Z\\d]{6,}$";  // 密码正则(必须包含一个大写一个小写加数字,且不小于六位)

    public static final Long OVERDUE_TIME = 70L; // 验证码过期时间,单位为秒

    public static final String QR_CODE_FAIL = "1"; // 微信没绑定

    public static final String  QR_CODE_BINDING_SUCCESS = "0"; // 微信已绑定

    public static final String UPLOAD_FILE_PATH = "//usr//local//nginx//html//admin//headImg//"; // linux图片存放路径

    // public static final String IMAGE_URL_PATH = "https://test.feifanhitech.com/headImg/"; // 数据库/预加载图片路径
   public static final String IMAGE_URL_PATH = "https://www.feifanhitech.com/headImg/"; // 数据库/预加载图片路径

    public static final String[] LETTERS = {"A","B","C","D","E"}; // 员工姓名重复时自动加的字母,可再添加

    public static final String STATUS_REFUSE = "拒绝";

    // public static final String ENCLOSUREFILE_URL_PATH = "https://test.feifanhitech.com/enclosureFile/"; // 附件文件存放路径
   public static final String ENCLOSUREFILE_URL_PATH = "https://www.feifanhitech.com/enclosureFile/"; // 附件文件存放路径

    public static final String FILE_URL_PATH = "//usr//local//nginx//html//admin//enclosureFile//"; // 附件文件存放路径

    public static final Integer DB_YWY_ID = 57; // 担保业务员

    public static final Integer DB_JL_ID = 58; // 担保经理

    public static final Integer DB_A_ID = 59; // 担保A角

    public static final Integer DB_B_ID = 60; // 担保B角

    public static final Integer DB_LD_ID = 61; // 担保领导

    public static final Integer ZC_JL_ID = 62; // 资产经理

    public static final Integer ZC_ZY_ID = 63; // 资产专员

    public static final Integer ZC_LD_ID = 64; // 资产领导

    public static final Integer XX_JL_ID = 65; // 信息经理

    public static final Integer XX_ZY_ID = 66; // 信息专员

    public static final Integer XX_LD_ID = 67; // 信息领导

    public static final Integer FG_JL_ID = 68; // 法规经理

    public static final Integer FG_C_ID = 69; // 法规C角

    public static final Integer FG_LD_ID = 70; // 法规领导

    public static final Integer GZU_ID = 71; // 工作会

    public static final Integer DSH_ID = 72; // 贷审会

    public static final Integer CWB_ID = 73; // 财务部

    public static final Integer DB_PROCESS_ID = 2; // 担保部调查

    public static final Integer HG_PROCESS_ID = 5; // 合规调查进程id

    public static final Integer GZU_PROCESS_ID = 6; // 工作会进程id

    public static final Integer DSH_PROCESS_ID = 7; // 贷审会进程id

    public static final String FG_C_NAME = "法规部C角"; // 法规部C角

    public static final String FG_JL_NAME = "法规部经理"; // 法规部经理

    public static final String FG_LD_NAME = "法规部领导"; // 法规部领导

    public static final String GZU_NAME = "工作会"; // 工作会

    public static final String DSH_NAME = "贷审会"; // 贷审会

    public static final String DB_A_NAME = "担保部A角"; // 担保部A角

    public static final String DB_B_NAME = "担保部B角"; // 担保部B角

    public static final String PERSONAL_START_CODE = "DQCZ-0000";

    public static final String COMPANY_START_CODE = "DQCQ-0000";

    public static final String PERSONAL_CODE = "DQCZ-";

    public static final String COMPANY_CODE = "DQCQ-";
}
