package com.daqing.framework.domain.crms.ext;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 申请记录接收类
 *
 * @auther River
 * @date 2021/2/22 14:11
 */
@Data
@ToString
public class ApplicationRecordPO implements Serializable {

    private Integer id;

    /**
     * 申请日期
     */
    private Date applyDate;

    /**
     * 申请额度
     */
    private BigDecimal applyAmount;

    /**
     * 贷款用途
     */
    private String amountWide;

    /**
     * 申请期限
     */
    private String applyTime;

    /**
     * 业务状态
     */
    private Integer businessStatus;

    /**
     * 审批状态(是否受理)
     */
    private Integer auditStatus;
}
