package com.daqing.framework.domain.crms.ext;

import lombok.Data;
import lombok.ToString;

/**
 * 用于接收从excel导入的数据中客户的客户经理姓名
 * 从而比对所有的员工name找到对应的id
 * 用ExcelUtil.readExcel()中获取的数据无法强转类型而通过get方法获取属性值
 * 故而通过类来接收
 *
 * @auther River
 * @date 2020/9/21 9:25
 */
@Data
@ToString
public class ManagerName {

    private String manager;
}
