package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务类型
 *
 * @auther River
 * @date 2020/11/5 15:17
 */
@Data
@ToString
public class DgBusinessType implements Serializable {


    private Integer id;

    /**
     * 业务类型名称
     */
    private String name;

    /**
     * 关联的客户表id
     */
    private Integer companyId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
