package com.daqing.framework.domain.guarantee.po;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 催熟管理数据接收
 *
 * @auther River
 * @date 2021/3/18 16:55
 */
@Data
@ToString
public class AlCollectionPO implements Serializable {

    /**
     * id
     */
    private Integer id;

    /**
     * 客户编号
     */
    private String code;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 业务类别
     */
    private String type;

    /**
     * 担保额度
     */
    private BigDecimal amount;

    /**
     * 所属部门
     */
    private String department;

    /**
     * 催收次数
     */
    private Integer numberOfCollection;

    /**
     * 状态
     */
    private Integer status;
}
