package com.daqing.framework.domain.guarantee.po;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 表单设计
 *
 * @auther River
 * @date 2021/1/15 14:12
 */
@Data
@ToString
public class DgFormDesignPO implements Serializable {

    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 是否隐藏
     */
    private Integer ifConceal;

    /**
     * 是否必填
     */
    private Integer ifRequired;

    /**
     * 可操作节点
     */
    private Integer operationProcessId;

    /**
     * 原本名称
     */
    private String formerName;

    /**
     * 提示信息
     */
    private String prompt;
}
