package com.daqing.framework.domain.guarantee.po;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @auther River
 * @date 2020/11/6 14:32
 */
@Data
@ToString
public class DgStatisticsPO implements Serializable {

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户联系方式
     */
    private String phone;

    /**
     * 提单人id
     */
    private Integer presenterId;

    /**
     * 申请额度
     */
    private BigDecimal applyAmount;

    /**
     * 申请期限
     */
    private String applyTime;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务编号
     */
    private String businessCode;

    /**
     * 申请时间
     */
    private Date createTime;

    /**
     * 完成任务节点id
     */
    private Integer processId;

    /**
     * 完成操作时间
     */
    private Date operationTime;
}
