package com.daqing.framework.domain.guarantee.po;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @auther River
 * @date 2020/11/9 17:39
 */
@Data
@ToString
public class DgStatisticsRefusePO implements Serializable {

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户联系方式
     */
    private String phone;

    /**
     * 提单人id
     */
    private Integer presenterId;

    /**
     * 申请额度
     */
    private BigDecimal applyAmount;

    /**
     * 申请期限
     */
    private String applyTime;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务编号
     */
    private String businessCode;

    /**
     * 申请时间
     */
    private Date createTime;

    /**
     * 任务节点id
     */
    private Integer processId;

    /**
     * 拒绝人
     */
    private String refuseName;

    /**
     * 拒绝时间
     */
    private Date refuseTime;

    /**
     * 拒绝原因
     */
    private String refuseOpinion;
}
