package com.daqing.framework.domain.guarantee.po;

import com.alibaba.excel.annotation.ExcelIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @Author chen
 * @DATE 2020/12/30 9:45
 * @Version 1.0
 */
@Data
@ToString
public class StatusPO {

    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ApiModelProperty("法规经理唯一标识")
    private Integer isFgJl;

    @ApiModelProperty(value = "详情id")
    private Integer detailId;

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("进程id")
    private Integer processId;

    @ApiModelProperty("审核状态")
    private Integer status;

    @ApiModelProperty("业务状态")
    private Integer businessStatus;

    @ApiModelProperty("操作状态")
    private Integer operatingStatus;

}
