package com.daqing.framework.domain.guarantee.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@Data
@ToString
public class EmployeeMessageResponse implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "userId")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 员工账号
     */
    @ApiModelProperty(value = "员工账号")
    private String account;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;



}
