package com.daqing.framework.domain.hrms.request;

import lombok.Data;

import java.io.Serializable;

/**
 * 新增部门请求体对象
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class DeptUpdateSortRequest implements Serializable {
    /**
     * 主键
     */
    private Long id;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 上级部门id
     */
    private Long parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 排序
     */
    private Integer sort;
}
