package com.daqing.framework.domain.hrms.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class LoginRequest {

    private int id;

    @ApiModelProperty(value = "手机号码/账号")
    private String phone;

    @ApiModelProperty(value = "登录类型(1:手机号 2:微信扫码登录 3:客户小程序登录 4：企业小程序登录)")
    private int type;

    @ApiModelProperty(value = "微信唯一编号(unionId)")
    private String wechatId;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "登录十天有效 1：有效 2：不处理")
    private int tenDayEffective;
}
