package com.daqing.framework.domain.hrms.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 记录职位信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Data
public class PositionRequest implements Serializable {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("部门id")
    private Long[] deptIds;

    @ApiModelProperty("职位名称id")
    private String name;

    @ApiModelProperty("职位介绍")
    private String introduction;
}
