package com.daqing.framework.domain.hrms.request;

import lombok.Data;

import java.io.Serializable;

/**
 * 登录日志请求体对象
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class UserLoginLogRequest implements Serializable {
	/**
	 * 开始时间
	 */
	private String startTime;
	/**
	 * 结束时间
	 */
	private String endTime;
	/**
	 * 查询条件为姓名或工号
	 */
	private String jobNumberOrName;
}
