package com.daqing.framework.domain.hrms.response;

import com.daqing.framework.domain.hrms.DeptEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 记录职位信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Data
public class PositionResponse implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty("id")
    private Long id;
    /**
     * 职位名称
     */
    @ApiModelProperty("职位名称")
    private String name;
    /**
     * 职位介绍
     */
    @ApiModelProperty("职位介绍")
    private String introduction;
    /**
     * 部门列表
     */
    @ApiModelProperty("部门列表")
    private List<DeptEntity> deptList;
}
