//package com.daqing.financial.gateway.util;
//
//
//import com.auth0.jwt.JWT;
//import com.auth0.jwt.algorithms.Algorithm;
//import com.daqing.financial.gateway.SpringContextHolder;
//
//import java.util.Date;
//import java.util.Set;
//
///**
// * @author zcw
// * @version 1.0
// * @date 2019/11/23 11:06
// * @description jwt工具类
// */
//public class JwtUtil {
//
//    private final static Algorithm algorithm = SpringContextHolder.getBean("algorithm", Algorithm.class);
//
//    //private final static OdcProperties properties = SpringContextHolder.getBean("odcProperties", OdcProperties.class);
//
//    /**
//     * 创建token
//     *
//     * @param userId;
//     * @param timeout; 单位是秒
//     */
//    public static String createJwtToken(Long userId, long timeout) {
//        return JWT.create()
//            .withClaim("member", userId)
//            .withExpiresAt(new Date(System.currentTimeMillis() + timeout * 1000))
//            .sign(algorithm);
//    }
//
//    /**
//     * token正确且有效，则返回userId
//     */
//    public static Long verifyToken(String token) {
//        try {
//            String noBearerToken = token.replaceFirst("Bearer ", "");
//            Long userId = JWT.require(algorithm)
//                .build()
//                .verify(noBearerToken)
//                .getClaim("member")
//                .asLong();
//            if (RedisUtil.get(getRedisKey(userId, noBearerToken)) != null) {
//                return userId;
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//            return null;
//        }
//        return null;
//    }
//
//    public static String getRedisKey(Long userId, String token) {
//        return String.format("dq:token:%d:%s", userId, token);
//    }
//
//    public static void putTokenToRedis(Long userId, String token, long times) {
//        RedisUtil.setEx(getRedisKey(userId, token), "nothing", times);
//    }
//
//    public static void removeTokenByUserId(Long userId) {
//        Set<String> tokenSet = RedisUtil.keys(getRedisKey(userId, "*"));
//        for (String key : tokenSet) {
//            RedisUtil.del(key);
//        }
//    }
//}
